* [gentoo-commits] repo/gentoo:master commit in: app-arch/pxz/, app-arch/pxz/files/
@ 2022-12-23 3:33 Sam James
0 siblings, 0 replies; only message in thread
From: Sam James @ 2022-12-23 3:33 UTC (permalink / raw
To: gentoo-commits
commit: 849e9356f043162fe970d4f75a5e5c40aeb7b209
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 23 03:33:21 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 23 03:33:21 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=849e9356
app-arch/pxz: fix finding xz
Closes: https://bugs.gentoo.org/887255
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../files/pxz-5.0_pre20220509-fix-xz-path.patch | 21 ++++++++++
app-arch/pxz/pxz-5.0_pre20220509-r1.ebuild | 47 ++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/app-arch/pxz/files/pxz-5.0_pre20220509-fix-xz-path.patch b/app-arch/pxz/files/pxz-5.0_pre20220509-fix-xz-path.patch
new file mode 100644
index 000000000000..76e1f1506157
--- /dev/null
+++ b/app-arch/pxz/files/pxz-5.0_pre20220509-fix-xz-path.patch
@@ -0,0 +1,21 @@
+https://bugs.gentoo.org/887255
+https://github.com/jnovy/pxz/issues/34
+https://github.com/jnovy/pxz/pull/40
+
+From 20014a968d2330ac90f48fc2091e15a44cb1e759 Mon Sep 17 00:00:00 2001
+From: Tobias Faller <fallert@tf.uni-freiburg.de>
+Date: Tue, 20 Dec 2022 22:41:59 +0100
+Subject: [PATCH] Updated default path for xz binary
+
+--- a/pxz.c
++++ b/pxz.c
+@@ -43,7 +43,7 @@
+ #endif
+
+ #ifndef XZ_BINARY
+-#define XZ_BINARY "xz"
++#define XZ_BINARY "/usr/bin/xz"
+ #endif
+
+ #define BUFFSIZE 0x10000
+
diff --git a/app-arch/pxz/pxz-5.0_pre20220509-r1.ebuild b/app-arch/pxz/pxz-5.0_pre20220509-r1.ebuild
new file mode 100644
index 000000000000..051b8312f0de
--- /dev/null
+++ b/app-arch/pxz/pxz-5.0_pre20220509-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs prefix vcs-snapshot
+
+PXZ_COMMIT="136e5c25daf545753329d7cee1b06ae482fb9c44"
+DESCRIPTION="Parallel implementation of the XZ compression utility"
+HOMEPAGE="http://jnovy.fedorapeople.org/pxz/"
+SRC_URI="https://github.com/jnovy/pxz/archive/${PXZ_COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux"
+
+# Needs the library from xz-utils
+RDEPEND="app-arch/xz-utils"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.0_pre20220509-fix-xz-path.patch
+)
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && tc-check-openmp
+}
+
+src_prepare() {
+ default
+
+ eprefixify pxz.c
+
+ if use elibc_musl ; then
+ sed -i -e '/<error.h>/c\#define error(R,E,S,...) fprintf(stderr, S "\\n", ##__VA_ARGS__); exit(R)' pxz.c || die
+ fi
+}
+
+src_configure() {
+ tc-export CC
+ export BINDIR="${EPREFIX}"/usr/bin
+ export MANDIR="${EPREFIX}"/usr/share/man
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2022-12-23 3:33 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-12-23 3:33 [gentoo-commits] repo/gentoo:master commit in: app-arch/pxz/, app-arch/pxz/files/ Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox